#!/bin/sh

echo 1048576 > /proc/sys/fs/aio-max-nr
ulimit unlimited

devs=$(ls /dev/sd[b-q] | awk -F '/' '{print $3}')

for dev in $devs;
do
	#devices configuration setup
	echo 65535 > /sys/block/$dev/queue/nr_requests
	echo 'noop' > /sys/block/$dev/queue/scheduler
done

for dev in $devs;
do
	#devices configuration setup
	cat /sys/block/$dev/queue/nr_requests
	cat /sys/block/$dev/queue/scheduler
done

echo 128 > /sys/module/qla2xxx/parameters/ql2xmaxqdepth
cat /sys/module/qla2xxx/parameters/ql2xmaxqdepth
